﻿using Microsoft.AspNetCore.Components;
using Microsoft.AspNetCore.Mvc;

namespace Hotline.Api.Controllers.ExportData;

[ApiController]
[Microsoft.AspNetCore.Mvc.Route("{*path:regex(.*export_data$)}")]
public class ExportDataController : BaseController
{
    [HttpGet]
    public IActionResult HandleExport()
    {
        // 处理 GET 请求
        return Ok("This is a GET export request.");
    }

    [HttpPost]
    public IActionResult HandleExportPost()
    {
        // 处理 POST 请求
        return Ok("This is a POST export request.");
    }
}
